# Copyright notice.
#   Original SPEC is provided by Zabbix LLC
#   Modified by Cybertrust Japan Co., Ltd.

%{!?original_name: %global original_name zabbix-agent2-plugin-postgresql}

Name:		miracle-zbx-agent2-plugin-postgresql
Version:	7.0.2
Release:	1%{?alphatag}%{?dist}
Summary:	MIRACLE ZBX Agent2 plugin for monitoring PostgreSQL installations
Group:		Applications/Internet
License:	AGPLv3
URL:		https://www.cybertrust.co.jp/
Source0:	%{original_name}-%{version}%{?alphatag}.tar.gz
Patch1:		conf.patch

%description
MIRACLE ZBX Agent2 plugin for monitoring PostgreSQL installations

%define debug_package %{nil}

%prep
%setup0 -q -n %{original_name}-%{version}%{?alphatag}
%patch1 -p1

%build
export GOPATH=$HOME/go
export GOBIN=$GOPATH/bin
export PATH=$GOBIN:$PATH

make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
cp zabbix-agent2-plugin-postgresql $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/
cp postgresql.conf $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-postgresql
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/postgresql.conf

%changelog
* Mon Aug 5 2024 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> - 7.0.2-1
- Update to 7.0.2 release.

* Tue Jul 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.1-1
- Update to 7.0.1 release.

* Wed Jun 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.0-1
- Update to 7.0.0 release.

* Wed May 29 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.0rc3-1
- Update to 7.0.0rc3
- Change license to AGPLv3

* Fri Feb 09 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.0beta1-1
- Update to 7.0.0beta1

* Wed Oct 18 2023 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.0alpha6-1
- Update to 7.0.0alpha6

* Fri Jun 24 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> - 1.2.0-1
- initial release of postgresql plugin for MIRACLE ZBX agent2

